Subject: Re: [PATCH] tests: rename work-tree tests to *work-tree*

From: Junio C Hamano <[email-masked]>
Date: Sat, 20 Feb 2016 13:42:38 -0800

Michael J Gruber <[email-masked]> writes:

> "Work tree" or "working tree" is the name of a checked out tree,
> "worktree" the name of the command which manages several working trees.
> The naming of tests mixes these two, currently:
>
> $ls t/*worktree*
> ...
> Rename t1501, t1509 and t7409 to make it clear on first glance that they
> test work tree related behavior, rather than the worktree command.
>
> t2104, t7011 and t7012 are about the "skip-worktree" flag so that their
> name should remain unchanged.
>
> Signed-off-by: Michael J Gruber <[email-masked]>
> ---
> Just some housekeeping. Not super necessary, but should make it easier to find
> the right test to amend, for example.

That is rather unfortunate.  Most of them predate the "worktree"
subcommand, I think, and having to rename them merely because a
subcommand with a confusing name appeared sound somewhat backwards.